# -*- coding: utf-8 -*-
import factory

from events.common_app.models import UserMessage


class UserMessageFactory(factory.django.DjangoModelFactory):
    name = factory.Sequence(lambda i: 'Name %s' % i)
    text = factory.Sequence(lambda i: 'Text message %s' % i)
    slug = factory.Sequence(lambda i: 'msg-%s' % i)

    class Meta:
        model = UserMessage
